Bug 12690 - rpm -q --last shows odd results
rpm -q --last shows odd results
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-19 15:46 EDT by Adrian Likins
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-19 15:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2000-06-19 15:46:33 EDT
beta 1 install, a few thirdparty packages installed:

[root@test158 /root]# rpm -q --last
package substr($0,length($1)+2))} " is not installed
package %|INSTALLTIME?{%{INSTALLTIME}}:{000000000}| is not installed
package V is not installed
package  is not installed
package installed)}|n   --pipe "sort -r -n | sed s,^[0-9]+ is not installed
package ,, | awk {printf("%-35s is not installed
package %-sn", is not installed
package $1, is not installed
package substr($0,length($1)+2))} " is not installed


Same results before and after a `rpm --rebuilddb`

And perhaps more interesting is that a:

	rpm --last

causes a segfault
Comment 1 Jeff Johnson 2000-07-09 11:53:21 EDT
There's a typo in /usr/lib/rpm/rpmpopt*,  fix is to delete 1st of duplicated
single quotes.

Note You need to log in before you can comment on or make changes to this bug.